Programming Guide

DOM Programming Guide

The DOM API is based on the Apache Recommended DOM C++ binding.

Read the DOM Programming Guide document or jump directly to:

- Design Objectives
- DOM Level 3 Support in &XercesCName;
- Using DOM API

- Accessing API from application code
- Class Names
- Objects Management
- Memory Management
- String Type

- XercesDOMParser

- Constructing a XercesDOMParser
- Supported Features
- Supported Properties

- DOMBuilder

- Constructing a DOMBuilder
- How to interchange DOMInputSource and SAX InputSource?
- Supported Features
- Supported Properties

- DOMWriter

- Constructing a DOMWriter
- Supported Features

- Deprecated - Java-like DOM

SAX Programming Guide

Read the SAX Programming Guide document or jump directly to:

- Using the SAX API
- SAXParser

- Constructing a SAXParser
- Supported Features

SAX2 Programming Guide

Read the SAX2 Programming Guide document or jump directly to:

- Using the SAX2 API
- SAX2XMLReader

- Constructing an XML Reader
- Supported Features
- Supported Properties

Other Features

Read the &XercesCName; Programming Guide document or jump directly to:

- Version Macros
- Schema Support
- Progressive Parsing
- Preparsing Grammar and Grammar Caching
- Loadable Message Text
- Pluggable Transcoders